Results 1 to 2 of 2
hi
I have debian sarge stable installed.
knows someone why I get this error message:
Code:
/etc/cron.daily/logrotate:
error: error accessing /var/log/squid: No such file or directory
error: squid:4 glob failed ...
- 03-03-2007 #1Linux Newbie
- Join Date
- Jun 2004
- Posts
- 120
run-parts: /etc/cron.daily/man-db exited with return code 2
hi
I have debian sarge stable installed.
knows someone why I get this error message:and howto solve this problem ?Code:/etc/cron.daily/logrotate: error: error accessing /var/log/squid: No such file or directory error: squid:4 glob failed for /var/log/squid/*.log run-parts: /etc/cron.daily/logrotate exited with return code 1 /etc/cron.daily/man-db: chown: `man': invalid user start-stop-daemon: user `man' not found
squid is not installed on this server.
# vi /etc/cron.daily/man-dbkind regardsCode:#!/bin/sh # # man-db cron daily set -e if ! [ -d /var/cache/man ]; then # Recover from deletion, per FHS. mkdir -p /var/cache/man chown man:root /var/cache/man chmod 2755 /var/cache/man fi # expunge old catman pages which have not been read in a week if [ -d /var/cache/man ]; then cd / if ! dpkg-statoverride --list /var/cache/man >/dev/null 2>&1; then chown -R man /var/cache/man || true # just in case fi start-stop-daemon --start --pidfile /dev/null --startas /bin/sh \ --oknodo --chuid man -- -c \ "find /var/cache/man -type f -name '*.gz' -atime +6 -print0 | \ xargs -r0 rm -f" fi # regenerate man database if [ -x /usr/bin/mandb ]; then # --pidfile /dev/null so it always starts; mandb isn't really a daemon, # but we want to start it like one. start-stop-daemon --start --pidfile /dev/null \ --startas /usr/bin/mandb --oknodo --chuid man \ -- --no-purge --quiet fi exit 0
cc
- 03-03-2007 #2Linux Newbie
- Join Date
- Jun 2004
- Posts
- 120
I think, I found this problem.
# vi /etc/logrotate.d/squidshould be deleted !Code:# # Logrotate fragment for squid. # /var/log/squid/*.log { daily compress delaycompress rotate 2 missingok nocreate sharedscripts prerotate test ! -x /usr/sbin/sarg-maint || /usr/sbin/sarg-maint endscript postrotate test ! -e /var/run/squid.pid || /usr/sbin/squid -k rotate endscript }


Reply With Quote
